Need to run PDF Patch 2

Discussion in 'iPad Hacks' started by BookEmDanno, Jul 8, 2011.

  1. BookEmDanno macrumors regular

    BookEmDanno

    Joined:
    Nov 9, 2010
    Location:
    State of ~Aloha!~
    #1
    I posted this under the iphone hacks section, so I apologize if this is against forum rules.

    I got an iPhone 4 and iPad 1, both on iOS 4.3.3 and jailbroken using pwnagetool and redsnow respectively.

    Wondering if there is a need to do the security patch provided by comex's PDF Patch 2?

    Mahalo and Aloha!
     
  2. ~Ks383~ macrumors 6502

    Joined:
    Jul 6, 2011
    #2
    If you have devices on 4.3.3 and have not patched the vulnerability then yes you need to patch them. All iOS devices on 4.3.X have the vulnerability.
     
  3. BookEmDanno thread starter macrumors regular

    BookEmDanno

    Joined:
    Nov 9, 2010
    Location:
    State of ~Aloha!~
    #3
    Makes sense. Thanks for the response.

    Aloha!
     
  4. Phil-82 macrumors member

    Joined:
    Apr 17, 2011
    Location:
    Ontario, Canada
    #4
    Why do you NEED to patch the exploits?

    Im going so assume its for your own security and the safety of the information on your phone right?
     
  5. ~Ks383~ macrumors 6502

    Joined:
    Jul 6, 2011
    #5
    Exactly. Malware could possibly use the exploit so it needs to be patched for the reasons you stated.
     
  6. malias4 macrumors 6502a

    malias4

    Joined:
    Jun 21, 2011
    Location:
    Greece and Holland
    #6
    I thought that we need to download the patch only if we did jb with jbme.com but it seems im wrong? In my ipad 2 i ve downloaded it but in my iphone4 redsn0w not, should i download it then? :eek:
     
  7. MacManiac76 macrumors 65816

    MacManiac76

    Joined:
    Apr 21, 2007
    Location:
    White Mntns, Arizona
    #7
    Yes you should download and install it. JailbreakMe uses an exploit in iOS 4.3.x to jailbreak the system and install Cydia. Once you jailbreak you should plug the hole using PDF Patcher 2 on all iDevices.
     
  8. malias4 macrumors 6502a

    malias4

    Joined:
    Jun 21, 2011
    Location:
    Greece and Holland
  9. gngan macrumors 68000

    gngan

    Joined:
    Jan 1, 2009
    Location:
    MacWorld
    #9
    Yes you are wrong. jailbreakme.com uses the exploit to insert code to jailbreak idevices. So any firmware (jailbreak or not jailbreak) will have this exploit. That is why Apple needs to patch it asap.

    What makes you think that if you use redsn0w or any other jb tool then you won't be affected? The hole is there no matter what you use.
     

Share This Page